<?php
/*
$config = $this->getSliderCfg();
$mode = $this->getMode();
if ($mode === NULL)
{
	$mode = $config['mode'];
}
$variable = $this->getVariable();
if ($variable === NULL)
{
	$variable = $config['variable'];
}
$id = $this->getId();
if ($id === NULL)
{
	$id = 'slider_'.rand(1,3);
}
$filtes = $this->getFilters();	
	
$_productCollection = $this->getSliderProducts($mode, $variable);

$storeId = Mage::app()->getStore()->getStoreId();
?>
<?php if(count($_productCollection)): ?>
	<div class="wrap-block-deals">
		<div class="col-xs-12 col-sm-12 col-md-12 pull-left">
			<div class="cross-line"></div>
			<p class="title"><?php echo $this->getTitle() ?></p>
		</div>

		<?php if($config['filters']): ?>
			<div class="col-xs-7 col-sm-7 col-md-8 pull-right text-right">
				<select class="form-control wood-filter" id="filter_<?php echo $id ?>" filter="<?php echo $id ?>">
					<option value="0"><?php echo $this->__('ALL') ?></option>
					<?php foreach($filtes as $filter): ?>
						<option value="<?php echo $filter['value'] ?>"><?php echo $filter['label'] ?></option>
					<?php endforeach ?>
				</select>
				<span class="filtered-by pull-right"><?php echo $this->__('FILTER') ?></span> 
			</div>
		<?php endif ?>
		
		<div class="clearfix"></div>
		<div id="<?php echo $id ?>" class="owl-carousel">
			<?php foreach($_productCollection as $product): ?>
				<?php $product_filter = Mage::getResourceModel('catalog/product')->getAttributeRawValue($product->getId(), 'filter', $storeId); ?>
				<?php 
					$deal = Mage::getResourceModel('catalog/product')->getAttributeRawValue($product->getId(), 'deals', $storeId);
					$unit = Mage::getResourceModel('catalog/product')->getAttributeRawValue($product->getId(), 'mico_carton_unit_suff', $storeId);
					if($unit)
					$unit = $product->getResource()->getAttribute('mico_carton_unit_suff')->getFrontend()->getValue($product); 
				?>
				<article class="item item-slider" filter="<?php echo ($product_filter ? $product_filter : '') ?>">
					<a href="<?php echo $product->getProductUrl(); ?>" title="<?php echo strip_tags($product->getName()) ?>">
						<figure>
							<img src="<?php echo Mage::helper('catalog/image')->init($product, 'image')->resize(168,168) ?>"  alt="<?php echo strip_tags($product->getName()) ?>"/>
							<?php if($deal && $deal == '22'): ?>
								<figcaption></figcaption>  
							<?php endif ?>
						</figure>
						<div class="wrap-content-item">
							<hgroup>
								<?php if($_tierPrices = $product->getTierPrice()): ?>
									<?php
										$lowest_price = false;
										foreach($_tierPrices as $_index => $_price)
										{
											if(!$lowest_price) $lowest_price = $_price['website_price'];
											elseif($lowest_price > $price_per_unit) $lowest_price = $_price['website_price'];
										}
									?>
									<span class="lowest"><?php echo $this->__('As low as') ?></span>
								<?php else: ?>
									<?php $lowest_price = $product->getFinalPrice(); ?>
									<span class="lowest">&nbsp;</span>
								<?php endif ?>
								<?php
									$unit = (float)$product->getMicoCartonUnit();
									$unit_text = $product->getAttributeText('mico_carton_unit_suff');
									if($unit_text && !$unit) $unit = 1;
								?>
								<?php
								$final_price = (int)Mage::getModel('directory/currency')->format($lowest_price / $unit, array('display'=>Zend_Currency::NO_SYMBOL), false);
								$price = (int)Mage::getModel('directory/currency')->format($product->getPrice() / $unit, array('display'=>Zend_Currency::NO_SYMBOL), false);
								?>

								<h2>
									<?php if($unit): ?>
										<?php echo Mage::helper('core')->currency($lowest_price / $unit, true, false) ?>
										<?php echo '/'.$unit_text ?>
									<?php else: ?>
										<?php echo Mage::helper('core')->currency($lowest_price, true, false); ?>
									<?php endif ?>
									
								</h2>
								
								<?php if($price > $final_price): ?>
									<h5><strike>
										<?php if($unit): ?>
											<?php echo Mage::helper('core')->currency($product->getPrice() / $unit, true, false) ?>
											<?php echo '/'.$unit_text ?>
										<?php /*else: ?>
											<?php echo Mage::helper('core')->currency($product->getPrice() / $unit, true, false) ?>
										<?php *//*endif ?>
									</strike></h5>
								<?php endif ?>
								<?php $listing_title = $product->getListingTitle() ?>
								<h4><?php if($listing_title) echo strip_tags($listing_title); else echo strip_tags($product->getName()) ?></h4>
								<?php /*
								<h5>
									<?php if($product->getMsrp()): ?>
										<strike>
											<?php echo Mage::helper('core')->currency($product->getMsrp()); ?> <?php if($unit): ?>/<?php echo $unit ?><?php endif ?>
										</strike>
									<?php endif ?>
								</h5>
								<h6>En vente en ligne et en magasin</h6>
								*//* ?>
							</hgroup>
						</div>
					</a>
				</article>
			<?php endforeach ?>
		</div>
	</div>
	
	<div class="divider-website"></div>
	<br/>
	<script type="text/javascript">
		var owlimtes_<?php echo $id ?> = '';
		function initOwl(id)
		{
			window['owl_' + id ] = jQuery("#"+id);
			window['owl_' + id ].owlCarousel({
				items : <?php echo $config['defaultitems'] ?>,
				itemsCustom : false,
				<?php echo $config['breakpoints'] ?>
				singleItem : false,
				itemsScaleUp : false,
				navigation: true,
				slideSpeed : <?php echo $config['speed'] ?>,
				autoPlay : true
			});
		}
		jQuery(document).ready(function() {
			initOwl('<?php echo $id ?>');
			owlimtes_<?php echo $id ?> = jQuery('#<?php echo $id ?> .owl-wrapper').html();

			<?php if($config['filters']): ?>
				jQuery( "#filter_<?php echo $id ?>" ).change(function() {
					
					var owl = jQuery("#<?php echo $id ?>").data('owlCarousel');
					var filter = jQuery(this).val();
					
					jQuery("#<?php echo $id ?>").html(owlimtes_<?php echo $id ?>);
					owl.reinit();
					var remove = [];
					jQuery( "#<?php echo $id ?> .owl-item" ).each(function( index ) {
						if(filter != '0')
						{
							var product_filter = jQuery(this).children('.item').attr('filter');
							if(product_filter != filter)
							{
								remove.push(index);
							}
						}
					});
					
					remove.reverse(); 
					remove.forEach(function(index) {
						owl.removeItem(index);
						
					});
						
					owl.goTo(1);
				});
			<?php endif ?>
		});
	</script>
<?php endif ?>
*/ ?>